"""Gestisce il drag-and-drop di una finestra senza toolbar WINEX """
class DnD_Winex:
   
    def __init__(self, window):
        self.window = window
        #self.window.overrideredirect(True)  # Rimuove la toolbar della finestra

        # Variabili per il drag
        self.start_x = 0
        self.start_y = 0

        # Binding degli eventi per il drag della finestra
        self.window.bind("<Button-1>", self.start_drag)
        self.window.bind("<B1-Motion>", self.on_drag)

        self.start_width = 0
        self.start_height = 0
        self.start_x_resize = 0
        self.start_y_resize = 0

    def start_drag(self, event):
        global widgetSel
        
        widgetSel=self.window
         
        self.start_x = event.x
        self.start_y = event.y
        self.resize = False

    def on_drag(self, event):
        global widgetSel
       
        x = self.window.winfo_x() - self.start_x + event.x
        y = self.window.winfo_y() - self.start_y + event.y
        self.window.geometry(f"+{x}+{y}")
