import tkinter as tk

class fadeWinex:
    def __init__(self, winex):
        self.winex = winex
        self.winex.deiconify() 
        self.alpha = 0  # Inizia invisibile
        self.passo = 0.05  # Incremento dell'alpha
        self.max_alpha = 1  # Massimo valore di alpha (completamente visibile)
        self.delay = 1  # Millisecondi per il ritardo tra ogni aggiornamento

        # Avvia l'effetto fade-in
        self.fade_in()

    def fade_in(self):
        if self.alpha < self.max_alpha:  # Continua solo se alpha è minore di max_alpha
            self.winex.attributes("-alpha", self.alpha)
            self.alpha += self.passo  # Incrementa il valore di alpha
            self.winex.after(self.delay, self.fade_in)  # Richiama la funzione dopo il delay
        else:
            self.winex.attributes("-alpha", self.max_alpha)  # Imposta alpha a 1, completamente visibile
            
# class fadeWinex:
#     def __init__(self, winex):
#         self.winex = winex
#         self.winex.deiconify() 
#         self.alpha = 0  # Inizia invisibile
#         self.passo = 0.2  # Incremento dell'alpha
#         self.max_alpha = 1  # Massimo valore di alpha (completamente visibile)
#         self.delay = 50  # Millisecondi per il ritardo tra ogni aggiornamento
# 
#         # Avvia l'effetto fade-in
#         self.fade_in()
# 
#     def fade_in(self):
#         self.winex.attributes("-alpha", self.alpha)
#         self.alpha += self.passo  # Incrementa il valore di alpha
#         self.winex.after(self.delay, self.fade_in)  # Richiama la funzione dopo il delay
